/*------------------------------------------------------------------------------
SKD.C
------------------------------------------------------------------------------*/
#include "AT898252.H"
#include "stdio.h"
#include "stdlib.h"
#include "lcd.h"
#include "1Wire.h"
#include "string.h"
#include "service.h"
#include "time.h"
#include "defines.h"
#include "ACL.h"
#include "delay.h"
#include "dataflash.h"

const lcd_str code MenuText[9]=	{{"1 Log"},
								 {"2 Add"},
								 {"3 ACL"},
								 {"4 InitACL"},
								 {"5 Show DT"},
								 {"6 Set DT"},
								 {"7 St Clk"},
								 {"8 Stp Clk"},
								 {"9 Ers Log"}};

char iData[8];
char sz[17];
time_t internalTime;
char cr;
char i;

const handler code aMenuHandlers[9]={ViewLog,AddSR,ManageSR,InitACLMemory,ShowTime,SetDateTime,ClockOn,ClockOff,EraseFirstPage};

void main (void)
{
	init();
	initTimer();
	df_init();

	while (1)
	{
		menu(9);		// show main menu
	}
}

